<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>alg/mmwavelib/src/vecutils Directory Reference</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<table width=100%>
<tr>
  <td bgcolor="black" width="1"><a href="http://www.ti.com"><img border=0 src="../../tilogo.gif"></a></td>
  <td bgcolor="red"><img src="../../titagline.gif"></td>
</tr>
</table>
<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li class="current"><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>Globals</span></a></li>
    </ul>
  </div>
<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_c9839ac9bd42e86e6159886378237831.html">alg</a></li><li class="navelem"><a class="el" href="dir_5f5b3a6c6f9ee84cdf9c273ccf43003e.html">mmwavelib</a></li><li class="navelem"><a class="el" href="dir_9fa96890f77570b05e4519e45129846b.html">src</a></li><li class="navelem"><a class="el" href="dir_b3ef34606b33680a8488a597966dd609.html">vecutils</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">vecutils Directory Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="files"></a>
Files</h2></td></tr>
<tr class="memitem:mmwavelib__histogram_8c"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="mmwavelib__histogram_8c.html">mmwavelib_histogram.c</a></td></tr>
<tr class="memdesc:mmwavelib__histogram_8c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Routine to calculate histogram. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:mmwavelib__maxpow_8c"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="mmwavelib__maxpow_8c.html">mmwavelib_maxpow.c</a></td></tr>
<tr class="memdesc:mmwavelib__maxpow_8c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Routine to find from complex vector the element with max power. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:mmwavelib__miscutils_8c"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="mmwavelib__miscutils_8c.html">mmwavelib_miscutils.c</a></td></tr>
<tr class="memdesc:mmwavelib__miscutils_8c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Misc. routines for vector arithmetic. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:mmwavelib__poweracc__float_8c"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="mmwavelib__poweracc__float_8c.html">mmwavelib_poweracc_float.c</a></td></tr>
<tr class="memdesc:mmwavelib__poweracc__float_8c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Routines for floating point signal power accumulation. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:mmwavelib__poweracc__float_8h"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="mmwavelib__poweracc__float_8h.html">mmwavelib_poweracc_float.h</a></td></tr>
<tr class="memdesc:mmwavelib__poweracc__float_8h"><td class="mdescLeft">&#160;</td><td class="mdescRight">Header file for floating point power accumulation routines. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:mmwavelib__shift_8c"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="mmwavelib__shift_8c.html">mmwavelib_shift.c</a></td></tr>
<tr class="memdesc:mmwavelib__shift_8c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Routine to right-shift vector elements. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:mmwavelib__vecmul_8c"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="mmwavelib__vecmul_8c.html">mmwavelib_vecmul.c</a></td></tr>
<tr class="memdesc:mmwavelib__vecmul_8c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Routines to multiply(element-wise) complex vectors. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:mmwavelib__vecsubc_8c"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="mmwavelib__vecsubc_8c.html">mmwavelib_vecsubc.c</a></td></tr>
<tr class="memdesc:mmwavelib__vecsubc_8c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Routin to subtract const from vector. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:mmwavelib__vecsum_8c"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="mmwavelib__vecsum_8c.html">mmwavelib_vecsum.c</a></td></tr>
<tr class="memdesc:mmwavelib__vecsum_8c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Routine to sum vector elements. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:mmwavelib__vecsumabs_8c"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="mmwavelib__vecsumabs_8c.html">mmwavelib_vecsumabs.c</a></td></tr>
<tr class="memdesc:mmwavelib__vecsumabs_8c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Routine to sum absolute values of vector elements. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:mmwavelib__vecutils_8h"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="mmwavelib__vecutils_8h.html">mmwavelib_vecutils.h</a></td></tr>
<tr class="memdesc:mmwavelib__vecutils_8h"><td class="mdescLeft">&#160;</td><td class="mdescRight">Header file for vector utility mmwavelib library routines. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
</div><!-- contents -->
<hr size="1"><small>
Copyright  2018, Texas Instruments Incorporated</small>
</body>
</html>
